SimpleTogglePanelTagHandlerBase (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.taglib.SimpleTogglePanelTagHandlerBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class SimpleTogglePanelTagHandlerBase

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              com.sun.facelets.tag.jsf.ComponentHandler
                  org.ajax4jsf.webapp.taglib.AjaxComponentHandler
                      org.richfaces.taglib.SimpleTogglePanelListenerTagHandler
                          org.richfaces.taglib.SimpleTogglePanelTagHandlerBase

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

Direct Known Subclasses:
  SimpleTogglePanelTagHandler

    public abstract class SimpleTogglePanelTagHandlerBase

extends SimpleTogglePanelListenerTagHandler

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`SimpleTogglePanelTagHandlerBase(com.sun.facelets.tag.jsf.ComponentConfig config)`

Method Summary
`protected com.sun.facelets.tag.MetaRuleset` | `createMetaRuleset(java.lang.Class type)`

Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler
`apply, applyNextHandler, createComponent, getFacetName, getId, onComponentCreated, onComponentPopulated`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTogglePanelTagHandlerBase

    public SimpleTogglePanelTagHandlerBase(com.sun.facelets.tag.jsf.ComponentConfig config)

Method Detail

### createMetaRuleset

    protected com.sun.facelets.tag.MetaRuleset createMetaRuleset(java.lang.Class type)

  Overrides:
    `createMetaRuleset` in class `SimpleTogglePanelListenerTagHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.